BasicComboPopup.ListDataHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicComboPopup.ListDataHandler class
Date: 2018-07-01

javax.swing.plaf.basic

## Class BasicComboPopup.ListDataHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboPopup.ListDataHandler

- All Implemented Interfaces:
    EventListener, ListDataListener
  Enclosing class:
    BasicComboPopup

      public class BasicComboPopup.ListDataHandler
      extends Object
      implements ListDataListener

  As of 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility. Do not call or override.

  The functionality has been migrated into `ItemHandler`.

  See Also:
    `BasicComboPopup.createItemListener()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListDataHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contentsChanged(ListDataEvent e)` Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods.
    `void` | `intervalAdded(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been inserted in the data model.
    `void` | `intervalRemoved(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been removed from the data model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListDataHandler

          public ListDataHandler()

  - ### Method Detail

    - #### contentsChanged

          public void contentsChanged(ListDataEvent e)

      Description copied from interface: `ListDataListener`
      Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods. For example, this is sent when an item has been replaced. Index0 and index1 bracket the change.
      Specified by:
        `contentsChanged` in interface `ListDataListener`
      Parameters:
        `e` - a `ListDataEvent` encapsulating the event information

    - #### intervalAdded

          public void intervalAdded(ListDataEvent e)

      Description copied from interface: `ListDataListener`
      Sent after the indices in the index0,index1 interval have been inserted in the data model. The new interval includes both index0 and index1.
      Specified by:
        `intervalAdded` in interface `ListDataListener`
      Parameters:
        `e` - a `ListDataEvent` encapsulating the event information

    - #### intervalRemoved

          public void intervalRemoved(ListDataEvent e)

      Description copied from interface: `ListDataListener`
      Sent after the indices in the index0,index1 interval have been removed from the data model. The interval includes both index0 and index1.
      Specified by:
        `intervalRemoved` in interface `ListDataListener`
      Parameters:
        `e` - a `ListDataEvent` encapsulating the event information

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.